package gui;

import simulator.Network;
import simulator.Network.Heuristics;
import simulator.Network.ThresholdType;
import javax.swing.JPanel;
import java.awt.Graphics;

public class MainPanel extends JPanel
{
	int n;
	int a[];
	int b[];
	MainPanel(int n$, int nA, double aa, double ab, double ba, double bb, double hLow, double hHigh, int nInitial, Heuristics heur, ThresholdType thr)
	{
		super();
		n = n$;
		Network net = new simulator.Network(n, nA, aa, ab, ba, bb, hLow, hHigh, thr);
		a = net.simulate(nInitial, true, heur);
		b = net.simulate(nInitial, false, heur);
	}
	
	public void paintComponent(Graphics g)
	{
		Graph plot = new Graph(g, 0, 0, 500, 500, n);
		plot.plotGraphs(a, b);
	}
	static final long serialVersionUID = 123894705234L;
}
